lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'event_registry_api/version'

Gem::Specification.new do |spec|
  spec.add_development_dependency 'bundler', '~> 1.0'
  spec.add_dependency 'httparty'
  spec.add_dependency 'hashie'
  spec.add_dependency 'sawyer'

  spec.date        = '2016-04-25'

  spec.name        = 'event_registry_api'
  spec.summary     = 'eventregistry.org ruby api'
  spec.description = 'EventRegistry.org API built in ruby'
  spec.authors     = ['Joel Matsumoto']
  spec.email       = 'joelmats@gmail.com'

  spec.files       = ['lib/event_registry_api.rb']
  spec.files       = %w(README.md event_registry_api.gemspec)
  spec.files       += Dir.glob('lib/**/*.rb')
  spec.require_paths = ['lib']
  spec.homepage    = 'https://github.com/joelmats/event_registry_api'
  spec.licenses    = ['MIT']

  spec.required_ruby_version = '>= 1.9.2'
  spec.required_rubygems_version = '>= 1.3.5'

  spec.version     = EventRegistryApi::VERSION.dup
end
